GDB (xrefs)

Macros
common-defs.h File Reference
`#include "config.h"`
`#include "build-gnulib/config.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <strings.h>`
`#include <errno.h>`
`#include <alloca.h>`
`#include "ansidecl.h"`
`#include "libiberty.h"`
`#include "pathmax.h"`
`#include "gdb/signals.h"`
`#include "gdb_locale.h"`
`#include "ptid.h"`
`#include "common-types.h"`
`#include "common-utils.h"`
`#include "gdb_assert.h"`
`#include "errors.h"`
`#include "print-utils.h"`
`#include "common-debug.h"`
`#include "cleanups.h"`
`#include "common-exceptions.h"`
`#include "common/poison.h"`
`#include "common/gdb_unique_ptr.h"`

Go to the source code of this file.

## Macros
#define | __STDC_CONSTANT_MACROS 1
#define | __STDC_LIMIT_MACROS 1
#define | __STDC_FORMAT_MACROS 1
#define | ATTRIBUTE_PRINTF _GL_ATTRIBUTE_FORMAT_PRINTF
#define | EXTERN_C extern "C"
#define | EXTERN_C_PUSH extern "C" {
#define | EXTERN_C_POP }

## Macro Definition Documentation

## ◆ __STDC_CONSTANT_MACROS

#define __STDC_CONSTANT_MACROS 1

Definition at line 47 of file common-defs.h.

## ◆ __STDC_FORMAT_MACROS

#define __STDC_FORMAT_MACROS 1

Definition at line 49 of file common-defs.h.

## ◆ __STDC_LIMIT_MACROS

#define __STDC_LIMIT_MACROS 1

Definition at line 48 of file common-defs.h.

## ◆ ATTRIBUTE_PRINTF

#define ATTRIBUTE_PRINTF _GL_ATTRIBUTE_FORMAT_PRINTF

Definition at line 70 of file common-defs.h.

## ◆ EXTERN_C

#define EXTERN_C extern "C"

Definition at line 87 of file common-defs.h.

## ◆ EXTERN_C_POP

#define EXTERN_C_POP }

Definition at line 89 of file common-defs.h.

## ◆ EXTERN_C_PUSH

#define EXTERN_C_PUSH extern "C" {

Definition at line 88 of file common-defs.h.